Page MenuHomeFreeBSD

Add to sysreg definition for coproc regs required for virtualization
ClosedPublic

Authored by mihai on Aug 3 2017, 3:00 PM.

Details

Summary

Add to sysreg definition for coproc regs required for virtualization

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mihai created this revision.Aug 3 2017, 3:00 PM
emaste added a subscriber: emaste.Aug 3 2017, 3:10 PM

In the future can you please include full context (details on https://wiki.freebsd.org/Phabricator) e.g.

git diff -U999999 other-branch
svn diff --diff-cmd=diff -x -U999999
andrew accepted this revision.Aug 3 2017, 5:17 PM

This looks good. I'm assuming the registers are correct.

This revision is now accepted and ready to land.Aug 3 2017, 5:17 PM
grehan accepted this revision.Aug 3 2017, 6:15 PM

I checked the numbers and they look good.

mmel added a subscriber: mmel.Aug 4 2017, 5:21 AM
mmel added inline comments.
sys/arm/include/sysreg.h
86 ↗(On Diff #31529)

Please, keep the list sorted - here and below.
And yes, the whole hyp. related block is misordered - It should be at the end of C0 section.

323 ↗(On Diff #31529)

I'm only curious here - why a '2' suffix and do you really need LPAE version of TTBR registers?

mihai added inline comments.Aug 4 2017, 6:42 AM
sys/arm/include/sysreg.h
323 ↗(On Diff #31529)

On hyp-mode LPAE is the only supported page table format.

mihai added inline comments.Aug 4 2017, 6:48 AM
sys/arm/include/sysreg.h
323 ↗(On Diff #31529)

It's 2 because is the 64bit version (2 registers). CP15_TTBR0/1 already exists for 32bits. I would have the same name. Please provide another naming convention if this is not ok.

mihai edited edge metadata.Aug 4 2017, 7:54 PM
mihai updated this revision to Diff 31598.

Ordered entries. If they are not order, please provide the methodology of ordering them.

This revision now requires review to proceed.Aug 4 2017, 7:54 PM
mihai updated this revision to Diff 31818.Aug 9 2017, 3:20 PM

Add HMAIR registers.

mmel accepted this revision.Aug 11 2017, 11:23 AM
mmel added inline comments.
sys/arm/include/sysreg.h
323 ↗(On Diff #31818)

Rather, I would prefer <foo>_LPAE or something like. But this is only my "soft" personal preference.

This revision is now accepted and ready to land.Aug 11 2017, 11:23 AM
This revision was automatically updated to reflect the committed changes.